#ifndef __LIB_PRINTF_H
#define __LIB_PRINTF_H

#include <stdarg.h>
#include <compiler.h>

#if defined(__cplusplus)
extern "C" {
#endif

int sprintf(char *str, const char *fmt, ...) __PRINTFLIKE(2, 3);
int vsprintf(char *str, const char *fmt, va_list ap);

#if defined(__cplusplus)
}
#endif

#endif
